aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/data/scripts/load_url_from_bookmarks.sh
diff options
context:
space:
mode:
authorGravatar Dieter Plaetinck <dieter@plaetinck.be>2010-01-24 14:33:28 +0100
committerGravatar Dieter Plaetinck <dieter@plaetinck.be>2010-01-24 14:33:28 +0100
commit27b23bc15985aea687aecec580d668b7f9701eb3 (patch)
treeb82659a8350c09d85e85e74af639ee909892d37e /examples/data/scripts/load_url_from_bookmarks.sh
parent6d4547a49805b552e9b56d41a653a0912e7b0534 (diff)
parentc8fb24d1069aa776bccdf3141adb9d3c3f6e8101 (diff)
merge in experimental
Diffstat (limited to 'examples/data/scripts/load_url_from_bookmarks.sh')
-rwxr-xr-xexamples/data/scripts/load_url_from_bookmarks.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/examples/data/scripts/load_url_from_bookmarks.sh b/examples/data/scripts/load_url_from_bookmarks.sh
new file mode 100755
index 0000000..1e9f9e7
--- /dev/null
+++ b/examples/data/scripts/load_url_from_bookmarks.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+#NOTE: it's the job of the script that inserts bookmarks to make sure there are no dupes.
+
+file=${XDG_DATA_HOME:-$HOME/.local/share}/uzbl/bookmarks
+[ -r "$file" ] || exit
+COLORS=" -nb #303030 -nf khaki -sb #CCFFAA -sf #303030"
+if dmenu --help 2>&1 | grep -q '\[-rs\] \[-ni\] \[-nl\] \[-xs\]'
+then
+ DMENU="dmenu -i -xs -rs -l 10" # vertical patch
+ # show tags as well
+ goto=`$DMENU $COLORS < $file | awk '{print $1}'`
+else
+ DMENU="dmenu -i"
+ # because they are all after each other, just show the url, not their tags.
+ goto=`awk '{print $1}' $file | $DMENU $COLORS`
+fi
+
+#[ -n "$goto" ] && echo "uri $goto" > $4
+[ -n "$goto" ] && echo "uri $goto" | socat - unix-connect:$5